1. Jon S Akhtar
  2. Lua For IDEA
  3. Issues

Issues

Issue #136 resolved

webstorm 7 lua plugin incompatible

Anton Heryanto Hasan
created an issue

previously using webstorm 6 lua plugin working great, upgrade to webstrom 7 it not in the list of plugin and try install from disk return incompatible error

Comments (12)

  1. Jon S Akhtar repo owner

    Please include the build number. It should be compatible, but I just need to release a build that covers that range. You can edit it yourself. Open the jar, find the /lib/idlua.jar open it change plugin.xml to match the version and repack the jar.

  2. Anton Heryanto Hasan reporter

    thanks,.. download and install on webstrom 7 right away, but on start throw erro java.lang.RuntimeException: com.intellij.ide.plugins.PluginManager$StartupAbortedException: com.intellij.diagnostic.PluginException: com/sylvanaar/idea/Lua/sdk/KahluaSdk : Unsupported major.minor version 51.0 [Plugin: Lua]

  3. Jon S Akhtar repo owner

    Never seen that error before. Make sure you have deleted any old copy of IDLua in the plugins directory wherever yours is located - mine is in .webstorm7/config/plugins

    2013-10-06 04:31:58,976 [      0]   INFO -        #com.intellij.idea.Main - ------------------------------------------------------ IDE STARTED ------------------------------------------------------ 
    2013-10-06 04:31:59,010 [     34]   INFO -        #com.intellij.idea.Main - IDE: WebStorm (build #WS-131.202, 26 Sep 2013 00:00) 
    2013-10-06 04:31:59,010 [     34]   INFO -        #com.intellij.idea.Main - OS: Windows 8 (6.2, x86) 
    2013-10-06 04:31:59,010 [     34]   INFO -        #com.intellij.idea.Main - JRE: 1.7.0_10-b18 (Oracle Corporation) 
    2013-10-06 04:31:59,010 [     34]   INFO -        #com.intellij.idea.Main - JVM: 23.6-b04 (Java HotSpot(TM) Server VM) 
    2013-10-06 04:31:59,012 [     36]   INFO -        #com.intellij.idea.Main - JVM Args: -Xms128m -Xmx512m -XX:MaxPermSize=250m -XX:ReservedCodeCacheSize=64m -ea -Dsun.io.useCanonCaches=false -Djava.net.preferIPv4Stack=true -XX:+UseCodeCacheFlushing -XX:+UseConcMarkSweepGC -XX:SoftRefLRUPolicyMSPerMB=50 -Xbootclasspath/a:C:\Program Files (x86)\JetBrains\WebStorm 7.0\lib\boot.jar -Didea.platform.prefix=WebStorm -Didea.no.jre.check=true -Didea.paths.selector=WebStorm7 
    2013-10-06 04:31:59,059 [     83]   INFO -        #com.intellij.idea.Main - JNA library loaded (32-bit) in 46 ms 
    2013-10-06 04:31:59,151 [    175]   INFO -        #com.intellij.idea.Main - Snappy library loaded (1.0.5) in 92 ms 
    2013-10-06 04:31:59,152 [    176]   INFO - penapi.util.io.win32.IdeaWin32 - Native filesystem for Windows is operational 
    2013-10-06 04:31:59,153 [    177]   INFO -        #com.intellij.idea.Main - Using "FocusKiller" library to prevent focus stealing. 
    2013-10-06 04:32:00,562 [   1586]   INFO - llij.ide.plugins.PluginManager - Cannot find optional descriptor rich-platform.xml 
    2013-10-06 04:32:00,622 [   1646]   INFO - llij.ide.plugins.PluginManager - Cannot find optional descriptor intellilang-python-support.xml 
    2013-10-06 04:32:00,646 [   1670]   INFO - llij.ide.plugins.PluginManager - Cannot find optional descriptor intellilang-python-support.xml 
    2013-10-06 04:32:01,054 [   2078]   INFO - llij.ide.plugins.PluginManager - 43 plugins initialized in 643 ms 
    2013-10-06 04:32:01,054 [   2078]   INFO - llij.ide.plugins.PluginManager - Loaded bundled plugins: ASP (0.1), CSS Support, CVS Integration (11), CoffeeScript (2.0), Dart (131.202), EJS (131.202), File Watchers (131.202), Git Integration (8.1), GitHub, HAML, HTML Tools (2.0), Handlebars/Mustache (131.202), IDEA CORE, Inspection-JS (2.0), IntelliLang (8.0), JSTestDriver Plugin (131.202), Jade (131.202), Java Server Pages Integration (1.0), JavaScript Debugger (1.0), JavaScript Intention Power Pack (0.9.4), JavaScript Support (1.0), Karma (131.202), LESS support, LiveEdit (999.0), NodeJS (131.202), Perforce Integration (2.0), QuirksMode, REST Client, Refactor-X (2.01), Remote Hosts Access (0.1), SASS support, Stylus support, Subversion Integration (1.1), Task Management (1.0), Terminal (0.1), TextMate bundles support (VERSION), W3C Validators (2.0), Web Components (131.202), XPathView + XSLT Support (4), XSLT-Debugger (1.4), YAML, hg4idea (10.0) 
    2013-10-06 04:32:01,054 [   2078]   INFO - llij.ide.plugins.PluginManager - Loaded custom plugins: Lua (1.0a59) 
    
  4. Anton Heryanto Hasan reporter

    thank... so busy forgot to reply that i have.. try multiple time remove the plugin and install again and not working.. never though issue is with java version..

    sorry i bother u.. i have found it thanks btw.. i have search to find how to change webstrom to uses latest oracle java (i have installed java 7 update 40) with no success. any link or info really appreciate

  5. Log in to comment